class ClinicsServiceTimingsResponse {
  List<PatientERGetClinicsServiceTimingsList>? patientERGetClinicsServiceTimingsList;

  ClinicsServiceTimingsResponse({this.patientERGetClinicsServiceTimingsList});

  ClinicsServiceTimingsResponse.fromJson(Map<String, dynamic> json) {
    if (json['PatientER_GetClinicsServiceTimingsList'] != null) {
      patientERGetClinicsServiceTimingsList = [];
      json['PatientER_GetClinicsServiceTimingsList'].forEach((v) {
        patientERGetClinicsServiceTimingsList!.add(new PatientERGetClinicsServiceTimingsList.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.patientERGetClinicsServiceTimingsList != null) {
      data['PatientER_GetClinicsServiceTimingsList'] = this.patientERGetClinicsServiceTimingsList!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class PatientERGetClinicsServiceTimingsList {
  int? iD;
  int? serviceID;
  dynamic shiftID;
  int? dayOfWeek;
  String? dayOfWeekStr;
  dynamic startTime;
  dynamic endTime;
  bool? isActive;
  String? createdOn;
  String? createdBy;
  bool? projectOutSA;
  String? dayOfWeekStrN;
  List<ShiftTimings>? shiftTimings;

  PatientERGetClinicsServiceTimingsList(
      {this.iD,
      this.serviceID,
      this.shiftID,
      this.dayOfWeek,
      this.dayOfWeekStr,
      this.startTime,
      this.endTime,
      this.isActive,
      this.createdOn,
      this.createdBy,
      this.projectOutSA,
      this.dayOfWeekStrN,
      this.shiftTimings});

  PatientERGetClinicsServiceTimingsList.fromJson(Map<String, dynamic> json) {
    iD = json['ID'];
    serviceID = json['ServiceID'];
    shiftID = json['ShiftID'];
    dayOfWeek = json['DayOfWeek'];
    dayOfWeekStr = json['DayOfWeekStr'];
    startTime = json['StartTime'];
    endTime = json['EndTime'];
    isActive = json['IsActive'];
    createdOn = json['CreatedOn'];
    createdBy = json['CreatedBy'];
    projectOutSA = json['ProjectOutSA'];
    dayOfWeekStrN = json['DayOfWeekStrN'];
    if (json['ShiftTimings'] != null) {
      shiftTimings = [];
      json['ShiftTimings'].forEach((v) {
        shiftTimings!.add(new ShiftTimings.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['ID'] = this.iD;
    data['ServiceID'] = this.serviceID;
    data['ShiftID'] = this.shiftID;
    data['DayOfWeek'] = this.dayOfWeek;
    data['DayOfWeekStr'] = this.dayOfWeekStr;
    data['StartTime'] = this.startTime;
    data['EndTime'] = this.endTime;
    data['IsActive'] = this.isActive;
    data['CreatedOn'] = this.createdOn;
    data['CreatedBy'] = this.createdBy;
    data['ProjectOutSA'] = this.projectOutSA;
    data['DayOfWeekStrN'] = this.dayOfWeekStrN;
    if (this.shiftTimings != null) {
      data['ShiftTimings'] = this.shiftTimings!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class ShiftTimings {
  String? endTime;
  int? shiftID;
  String? startTime;

  ShiftTimings({this.endTime, this.shiftID, this.startTime});

  ShiftTimings.fromJson(Map<String, dynamic> json) {
    endTime = json['EndTime'];
    shiftID = json['ShiftID'];
    startTime = json['StartTime'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['EndTime'] = this.endTime;
    data['ShiftID'] = this.shiftID;
    data['StartTime'] = this.startTime;
    return data;
  }
}
